=== examples/extended/CMakeLists.txt ===
# Subexamples
add_subdirectory(rotation)
