=== debian/changelog ===
tomopy (1.15.2+ds1-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with Python 3.13 only.

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Mar 2025 15:54:53 +0000

tomopy (1.15.2+ds1-2) unstable; urgency=medium

  * Team upload.
  * No-change upload with binaries.

 -- Colin Watson <cjwatson@debian.org>  Sun, 16 Feb 2025 14:19:43 +0000

tomopy (1.15.2+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fix compatibility with numpy 2.0 (closes: #1095100).

 -- Colin Watson <cjwatson@debian.org>  Fri, 14 Feb 2025 16:55:32 +0000

tomopy (1.15.0+ds1-9) unstable; urgency=medium

  * Team upload.
  * Build for all supported Python versions (closes: #1089068).

 -- Colin Watson <cjwatson@debian.org>  Fri, 13 Dec 2024 00:17:42 +0000
