=== debian/control ===
Source: tomopy
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
 Roland Mas <lolando@debian.org>,
Section: contrib/python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 intel-mkl [amd64 i386],
 libfftw3-dev,
 libomp-dev [amd64 arm64 armhf ppc64 ppc64el hurd-amd64],
 libopencv-dev,
 nvidia-cuda-toolkit-gcc [amd64 arm64 ppc64el],
 pybuild-plugin-pyproject,
 python3-all,
 python3-numexpr,
 python3-numpy,
 python3-pytest,
 python3-pywt,
 python3-scipy,
 python3-setuptools,
 python3-skbuild,
 python3-skimage,
 rename,
Standards-Version: 4.5.1
Homepage: https://github.com/tomopy/tomopy
Testsuite: autopkgtest-pkg-pybuild
Vcs-Git: https://salsa.debian.org/python-team/packages/tomopy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/tomopy

Package: python3-tomopy
Architecture: any
Depends:
 python3-numexpr,
 python3-numpy,
 python3-scipy,
 python3-skimage,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends: python3-dxchange,
Description: Python package for tomographic data processing and image reconstruction
 Features:
  * Image reconstruction algorithms for tomography.
  * Various filters, ring removal algorithms, phase retrieval algorithms.
  * Forward projection operator for absorption and wave propagation.
