## tomopy 1.15.3%2Bds1

=== debian/changelog ===
tomopy (1.15.3+ds1-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on s390x with patch to use 'fork' not 'forkserver' for
    multiprocessing (Closes: #1123943).

 -- Stuart Prescott <stuart@debian.org>  Sat, 27 Dec 2025 11:40:14 +1100

tomopy (1.15.3+ds1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with Python 3.14 as a supported interpreter (Closes: #1122053).
  * Update Standards-Version to 4.7.2 (no changes required).
  * Add d/upstream/metadata.

 -- Stuart Prescott <stuart@debian.org>  Tue, 09 Dec 2025 09:17:04 +1100

tomopy (1.15.3+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 26 Nov 2025 16:13:22 +0100

tomopy (1.15.2+ds1-4) unstable; urgency=medium

  * Bug fix: "please B-D on python3-all-dev", thanks to Graham Inggs
    (Closes: #1121432).

 -- Roland Mas <lolando@debian.org>  Wed, 26 Nov 2025 16:04:16 +0100
