## tomopy 1.15.3+ds1

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  nvidia-cuda-toolkit-gcc [amd64 arm64 ppc64el],
  pybuild-plugin-pyproject,
  python3-all,
+ python3-all-dev,
  python3-numexpr,
  python3-numpy,
  python3-pytest,
@@ -40,7 +41,8 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
-Recommends: python3-dxchange,
+Recommends:
+ python3-dxchange,
 Description: Python package for tomographic data processing and image reconstruction
  Features:
   * Image reconstruction algorithms for tomography.
