=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,9 @@
 	done
 
 execute_after_dh_auto_clean:
+	set -e ; for v in $$(py3versions -sv) ; do \
+		dh_auto_clean -Scmake -Bobj-$(DEB_HOST_GNU_TYPE)-py$$v ; \
+	done
 	for i in $(PTLLINKS) ; do rm -f source/PTL/$$i ; done
 
 execute_before_dh_auto_test:
